/*
 * MosP - Mind Open Source Project         http://www.mosp.jp/
 * Copyright (C) 1987-2009 MIND Co., Ltd.  http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.system.action;

import jp.mosp.common.CommonConst;
import jp.mosp.common.MosPAction;

import jp.mosp.system.vo.OptionFunctionMenuVo;

public class OptionFunctionMenuAction extends MosPAction {

	/**
	 * コンストラクタ
	 */
	public OptionFunctionMenuAction() {
		super();
	}

	public void action() throws Exception {
		// セッション保持情報の除去
		initStoredData();
		// コネクション取得
		getConnection();
		// SYSTEM権限確認
		confirmSystemAuth();
		// VOの初期化
		OptionFunctionMenuVo vo = getInitVo();
		init(vo);
		vo.setFields(getOptionMenuArray());		
	}

	/* (non-Javadoc)
	 * @see jp.mosp.common.action.MosPAction#getInitVo()
	 */
	protected OptionFunctionMenuVo getInitVo() {
		return new OptionFunctionMenuVo();
	}

	/**
	 * 初期処理
	 * @param vo	対象VO
	 */
	protected void init(OptionFunctionMenuVo vo) {
		vo.initVo(cfg, msg, cmd, aspUser, user);
		// VO及びフォワード先URLの設定
		setVo(vo);
		setUrl(vo.getRetUrl());	
	}

	/**
	 * オプションメニュー一覧配列取得
	 * @return	オプションメニュー一覧配列
	 * @throws Exception
	 */
	protected String[][] getOptionMenuArray() throws Exception {
		return getMosPCodeArray(CommonConst.TID_OPTION_FUNCTION);
	}

}
